Realm Cocoa Full SPM Support

Is there a plan to provide full support for the Swift Package Manager soon?

Currently realm-cocoa can be added as an SPM dependency but only local database functionality is included (no Realm Sync) and there are issues like SwiftUI Previews failing to compile and run.

Last time I asked (sometime last year I think) I was told the blocker is Realm Sync - because it’s closed source and SPM didn’t have support for binary dependencies yet.

In the meantime, SPM gained support for binary dependencies and I heard that Realm Sync has been open sourced recently - two different alternatives that remove the blocker :slight_smile:

Moving to rely on SPM as the sole dependency manager is a priority for us and the only dependency currently holding us back is realm-cocoa. I’d love to hear news regarding this.

@nimi Yes we are actively working on it and should be released in the next quarter

Great news! Thanks Ian.